Get Issue Extended Configuration
GET/api/v5/orgs/:org/issue/extend/settings
Request
Path Parameters
org stringrequired
Repository space address (enterprise or organization path)
Query Parameters
access_token stringrequired
User authorization code
Responses
- 200
Successful Response
Response Headers
- application/json
- Schema
- Example (auto)
- 1
- 2
Schema
- Array [
- Array [
- ]
- ]
type_namestring
type_idinteger
type_descstring
status object[]
status_namestring
status_idinteger
status_descstring
gitcode_issue_statusinteger
[
{
"type_name": "string",
"type_id": 0,
"type_desc": "string",
"status": [
{
"status_name": "string",
"status_id": 0,
"status_desc": "string",
"gitcode_issue_status": 0
}
]
}
]
Successful Example
{
"type_name": "requirement",
"type_id": 4,
"type_desc": "Define and describe new features or improvements to be implemented in the product or project.",
"status": [
{
"status_name": "Undelivered",
"status_id": 11,
"status_desc": "The requirement has not been formally submitted and is still in the conceptual or discussion phase, and has not entered the system management process.",
"gitcode_issue_status": 0
},
{
"status_name": "Repairing",
"status_id": 20,
"status_desc": "The solution to the requirement encountered issues during implementation and is currently being fixed.",
"gitcode_issue_status": 0
}
]
}
Successful Example
{
"type_name": "consultation",
"type_id": 36138,
"type_desc": "",
"status": [
{
"status_name": "Undelivered",
"status_id": 11,
"status_desc": "The requirement has not been formally submitted and is still in the conceptual or discussion phase, and has not entered the system management process.",
"gitcode_issue_status": 0
},
{
"status_name": "Completed",
"status_id": 14,
"status_desc": "All related work for the requirement has been completed, deliverables have been handed over, and it has entered the archival status.",
"gitcode_issue_status": 1
}
]
}